Subject: Re: [PATCH 3/3][v2] mdio-mux-gpio: use new gpiod_get_array and gpiod_put_array functions

From: Rojhalat Ibrahim <[email-masked]>
Date: Mon, 09 Feb 2015 10:14:47 +0100

On Monday 09 February 2015 14:18:14 Alexandre Courbot wrote:
> On Thu, Jan 22, 2015 at 1:46 AM, Rojhalat Ibrahim <[email-masked]> wrote:
> > Use the new gpiod_get_array and gpiod_put_array functions for obtaining and
> > disposing of GPIO descriptors.
> >
> > Cc: David Miller <[email-masked]>
> > Signed-off-by: Rojhalat Ibrahim <[email-masked]>
> > ---
> > This patch depends on my previous patch "gpiolib: add gpiod_get_array and
> > gpiod_put_array functions".
> >
> > v2: use the new interface
> >
> > Only compile-tested.
> >
> >  drivers/net/phy/mdio-mux-gpio.c |   61 +++++++++++-----------------------------
> >  1 file changed, 18 insertions(+), 43 deletions(-)
> 
> Oh yeah.
> 
> It would be great to have a tested-by for the next revision though.
> 
> Rojhalat, have you been able to test these new interfaces outside of
> this driver?
> 

I have tested the new interface with my FPGA configuration driver (which I
plan to submit eventually). I cannot test the mdio-mux-gpio driver because
I lack the necessary hardware.